Bug 153811 - Score tab doesn't show the active tab
Summary: Score tab doesn't show the active tab
Status: RESOLVED FIXED
Alias: None
Product: libkdegames
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matt Williams
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-10 23:48 UTC by Frédéric MEUROU
Modified: 2008-05-01 18:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric MEUROU 2007-12-10 23:48:43 UTC
Version:           3.0 (using KDE KDE 3.95.0)
Installed from:    Compiled From Sources
Compiler:          Using built-in specs.
Target: i686-pc-linux-gnu
Configured with: ../configure --prefix=/usr --enable-shared --enable-languages=c,c++,objc --enable-threads=posix --enable-__cxa_atexit --disable-multilib --libdir=/usr/lib --libexecdir=/usr/lib --enable-clocale=gnu --disable-libstdcxx-pch --with-tune=generic
Thread model: posix
gcc version 4.2.2
 
OS:                Linux

If you play two games, one Esay one and a second medium one, the score board whows at first the easy board, then it stays on the easy board not showing the medium board where you should put your name.
The score board still waits for a name, event if the score board is closed and reopened.

In my opinion, the score board should be switched to the tab corresponding to the level just finished.

Regards,

Fred
Comment 1 Martin Sondergaard 2007-12-13 23:25:29 UTC
I got the same bug.
I will describe the bug, I describe it a bit differently, but its the same bug.

I won a game, and added my name to the scoreboard.  Then I went up to the next level, Medium.
When I won the Medium game, it showed me the scoreboard, and I tried to add my new score, but could not do so.  It was displaying the "Easy" tab, not the "Medium" tab.  It was displaying the score of the first game, in the "Easy" tab, with a flashing cursor in the text-entry-box, so it looked like it was waiting for me to enter a name.  I tried to use the name that was there already, so I just pressed "Enter", but it failed to enter the new score, the new time; it would not change the time.

After playing a couple more Medium games, I noticed that behind the "Easy" tab there was a second tab, a tab for the "Medium" scores.  I clicked on the tab for "Medium", and this tab showed me that this tab had gone wrong too.  This tab has two empty text-entry-boxes, for first and second place, with a flashing cursor in both of them!  So it had been waiting for me to add scores to this "Medium" tab, while it had been displaying only the "Easy" tab to me.  
This must be why I was unable to add a score to the first tab.

This problem happened the first time I used the game.  When I exited and restarted the game, the scoring worked properly this time.
Comment 2 Dmitry Suzdalev 2007-12-14 09:31:38 UTC
I guess this bug belongs not to katomic, but to KScoreDialog which resides in libkdegames.

CCing Matt, he should take a look at this.
Comment 3 Matt Williams 2008-04-27 17:58:56 UTC
Frédéric or Martin, can you still reproduce this bug. I've just tried with KDE 4.00.71 and I can't.
Comment 4 Matt Williams 2008-04-27 19:01:57 UTC
Reopen, I didn't realise this was a knetwalk specific bug.
Comment 5 Matt Williams 2008-05-01 18:43:36 UTC
SVN commit 803022 by milliams:

Fix the mess that was i18n in KScoreDialog. Scores are now indexed by a key and translations for each key are added explicitly.
Patch KSquares, KMines, KNetwalk and Kollision to use this correctly.

BUG: 151415
BUG: 153811
BUG: 154582
BUG: 156870

CCMAIL: kde-games-devel@kde.org

 M  +5 -4      kmines/mainwindow.cpp  
 M  +4 -2      knetwalk/src/mainwindow.cpp  
 M  +4 -2      kollision/mainwindow.cpp  
 M  +6 -2      ksquares/src/ksquareswindow.cpp  
 M  +98 -43    libkdegames/highscore/kscoredialog.cpp  
 M  +41 -3     libkdegames/highscore/kscoredialog.h  
 M  +41 -13    libkdegames/kgamedifficulty.cpp  
 M  +12 -0     libkdegames/kgamedifficulty.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=803022